<template>
    <block type="callback" v-bind="params">
        <div class="container">
            <section-title v-if="params.header" v-bind="params.header"></section-title>

            <span class="form" v-html="content.form"></span>

            <div class="row">
                <div class="col-md-6">
                    <label class="checkbox">
                        <input class="visually-hidden" type="checkbox" name="callback-agree">
                        <span class="checkbox-imitator"></span>
                        Я соглашаюсь на получение рекламной информации от нашей школы
                    </label>
                </div>
                <div class="col-md-6">
                    <p class="form__disclaimer">{{ _trans('Отправляя данную форму, вы соглашаетесь с') }} <a :href="content.linkDisclaimer">{{ _trans('политикой обработки данных') }}</a></p>
                </div>
            </div>
        </div>
    </block>
</template>

<script>
export default {
    props: {
        content: {
            type: Object,
            default: () => {
                return {
                    form: null,
                    linkDisclaimer: null
                }
            }
        },
        params: {
            type: Object,
            default: () => {
                return ({})
            }
        }
    },
    data() {
        return {}
    }
}
</script>